Package org.apache.groovy.internal.util

# Class UncheckedThrow

java.lang.Object
org.apache.groovy.internal.util.UncheckedThrow

@Incubating public class UncheckedThrow extends Object
Allows to throw a checked exception unchecked. INTERNAL USE ONLY.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UncheckedThrow()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `rethrow(Throwable checkedException)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UncheckedThrow

    public UncheckedThrow()

- ## Method Details

  - ### rethrow

    public static void rethrow(Throwable checkedException)